al_fopen_fd(3)

NAME

al_fopen_fd - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    ALLEGRO_FILE *al_fopen_fd(int fd, const char *mode)

DESCRIPTION

Create an ALLEGRO_FILE(3) object that operates on an open file descriptor using stdio routines. See the documentation of fdopen() for a description of the 'mode' argument.

Returns an ALLEGRO_FILE object on success or NULL on an error. On an error, the Allegro errno will be set and the file descriptor will not be closed.

The file descriptor will be closed by al_fclose(3) so you should not call close() on it.

SEE ALSO

al_fopen(3)